Get PublishingRecord by ID
Get a single PublishingRecord by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
publishing_record_id
ID of the PublishingRecord.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
createdAt
id
index
Position of this record in the publishable's publishing history, starting at 0.
modifiedAt
publishableId
ID of the published item, such as a Template, Subtemplate, or Procedure.
publishableVersionId
ID of the version that was published. For Templates and Subtemplates, this matches versionMetadata.versionId.
publishedAt
When the version was published.
publishedBy
User or app that published the version.
publishingStatus
Lifecycle state of this published version.
Allowed values:
unpublishedAt
When this record was superseded or withdrawn. Null while the record is effective.
unpublishedBy
User or app that published the replacement version or withdrew this version. Null while the record is effective.
versionDescription
Optional description given to the version when it was published.
versionName
Name given to the version when it was published.
Errors
400
Bad Request Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error